Issue 121456 - Windows Search does not search inside ODS and ODF with 3.4 on 64 bit machines
Windows Search does not search inside ODS and ODF with 3.4 on ...
Product: General
Classification: Code
Component: ui
PC Windows 7
: P2 Major (vote)
: 4.0.0
Assigned To: jsc
: regression
Depends on:
  Show dependency treegraph
Reported: 2012-12-10 15:05 UTC by peterinscotland
Modified: 2013-03-11 10:18 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Note You need to log in before you can comment on or make changes to this issue.
Description peterinscotland 2012-12-10 15:05:54 UTC
Windows Search (64 bit) fails to search content of ODS and ODF files since upgrade to OOo 3.4 - previously it was fine.  This also applies to recent versions of LibreOffice.

Comment 1 billp 2012-12-10 17:57:21 UTC
In 64-bit Windows 8, the Windows Registry shows the IFilter as C:\Program Files (x86)\ 3\Basis\program\shlxthdl\ooofilt_x64.dll. The file ooofilt_x64.dll does not exist in AOO 3.4.1. It is in OOo 3.3.
Comment 2 peterinscotland 2012-12-10 18:03:31 UTC
Bill - that would certainly be a problem ! :D    

So I'm guessing the issue must be different from that in LibreOffice, which does have that file, and it gets installed.  I'm going to try the new file from the LibreOffice Beta 4 (which is a different size to that in 3.6), otherwise can you point me to a copy of the old OOo file?

Kind regards

Comment 3 Ariel Constenla-Haile 2012-12-10 18:15:28 UTC
Setting our release manager on CC

@Jürgen: look at main/shell/prj/d.lst

..\%__SRC%\bin\x64\shlxthdl.dll %_DEST%\bin%_EXT%\shlxthdl_x64.dll
..\%__SRC%\bin\x64\ooofiltproxy.dll %_DEST%\bin%_EXT%\ooofiltproxy_x64.dll
..\%__SRC%\bin\x64\ooofilt.dll %_DEST%\bin%_EXT%\ooofilt_x64.dll
..\%__SRC%\bin\x64\propertyhdl.dll %_DEST%\bin%_EXT%\propertyhdl_x64.dll

It looks like our windows builds are missing those 64 bit files.

This seems to be controlled by .IF "$(BUILD_X64)"!="" in the makefiles

It seems Win 64 bits needs 64 bits shell extensions, according to the reports.
Comment 4 Ariel Constenla-Haile 2013-02-04 17:25:50 UTC
Ping Jürgen
Comment 5 Rob Weir 2013-02-04 18:29:31 UTC
Confirmed and assigned to Juergen.
Comment 6 jsc 2013-02-11 15:56:03 UTC
I am currently checking how to enable the 64 bit extensions, especially how to build with the express or pro edition...

We can expect that AOO 4.0 will have fixed this problem.
Comment 7 jsc 2013-02-12 14:25:29 UTC
I have uploaded a test build under if you want to give it a try. But keep in mind it is a dev build with complete system integration for testing only.

I am looking forward to get feedback. As mentioned earlier we can expect that AOO will have fixed this problem. 

I need some further investigation to build it with the pro version of the compiler because I am currently missing a 64bit atls.lib.
Comment 8 jsc 2013-02-12 14:31:29 UTC
for me it works quite well now, searched string found in odt as well as ods files
Comment 9 SVN Robot 2013-02-19 14:36:30 UTC
"jsc" committed SVN revision 1447732 into trunk:
#121456# improve handling/building of 64 bit shell extensions for windows
Comment 10 SVN Robot 2013-02-19 14:47:30 UTC
"jsc" committed SVN revision 1447739 into trunk:
#121456# fix wrong space
Comment 11 SVN Robot 2013-02-25 14:33:52 UTC
"jsc" committed SVN revision 1449720 into trunk:
#121456# ifdef atlthunk.lib
Comment 12 jsc 2013-03-11 10:18:51 UTC